> This is a page from the ElevenLabs documentation. For a complete page index, fetch https://elevenlabs.io/docs/llms.txt. For the full documentation in a single file, fetch https://elevenlabs.io/docs/llms-full.txt. # Add shared voice POST https://api.elevenlabs.io/v1/voices/add/{public_user_id}/{voice_id} Content-Type: application/json Add a shared voice to your collection of Voices Reference: https://elevenlabs.io/docs/api-reference/voices/voice-library/share ## Servers - `https://api.elevenlabs.io` (Production, default) - `https://api.us.elevenlabs.io` (Production US) - `https://api.eu.residency.elevenlabs.io` (Production EU) - `https://api.in.residency.elevenlabs.io` (Production India) - `https://api.sg.residency.elevenlabs.io` (Production Singapore) ## Request ### Path parameters - `public_user_id` (string, required) — Public user ID used to publicly identify ElevenLabs users. - `voice_id` (string, required) — ID of the voice to be used. You can use the [Get voices](/docs/api-reference/voices/search) endpoint list all the available voices. ### Body (application/json) This endpoint expects a Body_Add_shared_voice_v1_voices_add__public_user_id___voice_id__post. - `new_name` (string, required) — The name that identifies this voice. This will be displayed in the dropdown of the website. - `bookmarked` (boolean, optional, default: true) ## Response ### 200 Successful Response - `voice_id` (string, required) — The ID of the voice. ## Errors ### 422 Unprocessable Entity Error Validation Error - `detail` (list of ValidationError, optional) ## Types ### ValidationError - `loc` (list of ValidationErrorLocItems, required) - `msg` (string, required) - `type` (string, required) ### ValidationErrorLocItems ## Examples **Request** ```json { "new_name": "John Smith" } ``` **Response** ```json { "voice_id": "b38kUX8pkfYO2kHyqfFy" } ``` **SDK Code** ```python import requests url = "https://api.elevenlabs.io/v1/voices/add/63e06b7e7cafdc46be4d2e0b3f045940231ae058d508589653d74d1265a574ca/21m00Tcm4TlvDq8ikWAM" payload = { "new_name": "John Smith" } headers = {"Content-Type": "application/json"} response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.elevenlabs.io/v1/voices/add/63e06b7e7cafdc46be4d2e0b3f045940231ae058d508589653d74d1265a574ca/21m00Tcm4TlvDq8ikWAM'; const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"new_name":"John Smith"}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.elevenlabs.io/v1/voices/add/63e06b7e7cafdc46be4d2e0b3f045940231ae058d508589653d74d1265a574ca/21m00Tcm4TlvDq8ikWAM" payload := strings.NewReader("{\n \"new_name\": \"John Smith\"\n}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.elevenlabs.io/v1/voices/add/63e06b7e7cafdc46be4d2e0b3f045940231ae058d508589653d74d1265a574ca/21m00Tcm4TlvDq8ikWAM") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Content-Type"] = 'application/json' request.body = "{\n \"new_name\": \"John Smith\"\n}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://api.elevenlabs.io/v1/voices/add/63e06b7e7cafdc46be4d2e0b3f045940231ae058d508589653d74d1265a574ca/21m00Tcm4TlvDq8ikWAM") .header("Content-Type", "application/json") .body("{\n \"new_name\": \"John Smith\"\n}") .asString(); ``` ```php request('POST', 'https://api.elevenlabs.io/v1/voices/add/63e06b7e7cafdc46be4d2e0b3f045940231ae058d508589653d74d1265a574ca/21m00Tcm4TlvDq8ikWAM', [ 'body' => '{ "new_name": "John Smith" }', 'headers' => [ 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.elevenlabs.io/v1/voices/add/63e06b7e7cafdc46be4d2e0b3f045940231ae058d508589653d74d1265a574ca/21m00Tcm4TlvDq8ikWAM"); var request = new RestRequest(Method.POST); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"new_name\": \"John Smith\"\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Content-Type": "application/json"] let parameters = ["new_name": "John Smith"] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.elevenlabs.io/v1/voices/add/63e06b7e7cafdc46be4d2e0b3f045940231ae058d508589653d74d1265a574ca/21m00Tcm4TlvDq8ikWAM")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ``` > ElevenLabs provides APIs and SDKs for text to speech, voice cloning, speech to text, sound effects, voice isolator, voice changer, and conversational AI agents. Build voice-enabled applications with lifelike audio generation.